import { HttpClient } from '@angular/common/http';
import { ApiResponseModel, ApiVisa, BaseApiTemplateService } from '../../shared';
import { UserAppletContainerModel } from '../../../../../../models/aggregates/applet-store';
import { GetUserAppletLinksModel } from '../../../../../../models/aggregates/custom/platform/get-user-applet-links.model';
import { Observable } from 'rxjs';
export declare class UserAppletLinksService extends BaseApiTemplateService<any> {
    protected apiUrl: string;
    constructor(http: HttpClient);
    onInstall(dtoObject: UserAppletContainerModel, apiVisa: ApiVisa): Observable<ApiResponseModel<UserAppletContainerModel>>;
    onMultipleInstall(userAppletContainer: UserAppletContainerModel[], apiVisa: ApiVisa): Observable<ApiResponseModel<UserAppletContainerModel>>;
    onUninstall(guid: any, apiVisa: ApiVisa): Observable<Object>;
    onAdminInstall(userAppletContainer: UserAppletContainerModel, apiVisa: ApiVisa): Observable<ApiResponseModel<UserAppletContainerModel>>;
    onMultipleAdminInstall(userAppletContainer: UserAppletContainerModel[], apiVisa: ApiVisa): Observable<ApiResponseModel<UserAppletContainerModel>>;
    getUserInstalledApplets(apiVisa: ApiVisa, hostnameValueL: string): Observable<ApiResponseModel<GetUserAppletLinksModel>>;
    onMultipleTenantAdminInstall(tenantCode: string, userAppletContainer: UserAppletContainerModel[], apiVisa: ApiVisa): Observable<ApiResponseModel<UserAppletContainerModel>>;
}
